`lqr_carver_scan_by_row`
Prev | Carver objects | Next

## Name

lqr_carver_scan_by_row — tells if the image in `LqrCarver` will be scanned by row or by column

## Synopsis

    #include <lqr.h>

`gboolean lqr_carver_scan_by_row(` | LqrCarver* carver`)`;

## Description

The function `lqr_carver_scan_by_row` must be used before calling the functions `lqr_carver_scan_line` and `lqr_carver_scan_line_ext`, in order to ascertain if those functions will scan the multi-size image contained in the `LqrCarver` object pointed to by `carver` by row or by column, which depends on which was last rescaling direction and cannot be controlled directly by the user.

## Return value

This function returns `TRUE` in case the image is going to be scanned by row, `FALSE` in case it is going to be scanned by column;

## See also

`lqr_carver_scan_reset`(3), `lqr_carver_scan`(3), `lqr_carver_scan_line`(3)

Prev | Up | Next
`lqr_carver_scan` | Home | `lqr_carver_scan_line`